const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/app.js', 'public/js')
    .sass('resources/sass/app.scss', 'public/css');

mix.js('resources/js/laravel-echo-setup.js', 'public/js');

// video-js js css 套件 綁定到public目錄下
// mix.js('node_modules/video.js/dist/video.js','public/js')
//     .styles(['node_modules/video.js/dist/video-js.css'],'public/css/video-js.css');
//
// mix.js('node_modules/video.js/dist/video.min.js','public/js')


// flv js 套件 綁定到public目錄下
mix.copy('node_modules/flv.js/dist/flv.min.js','public/js');
mix.js('node_modules/flv.js/dist/flv.js','public/js');

// videojs-flv js 套件 綁定到public目錄下
// mix.js('node_modules/videojs-flvjs/dist/videojs-flvjs.min.js','public/js');

// bootstrap-table 複製到public 目錄下
mix.copy('node_modules/bootstrap-table/dist/bootstrap-table.js','public/js');
mix.copy('node_modules/bootstrap-table/dist/locale/bootstrap-table-zh-TW.min.js','public/js');
mix.copy('node_modules/bootstrap-table/dist/extensions/export/bootstrap-table-export.min.js','public/js');
mix.copy('node_modules/bootstrap-table/dist/bootstrap-table.css','public/css');


